/**
 * 
 */
package buffered;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * @author pvassil
 *
 */
public class Parser {

	public int parse(String inputFilePath, String delimiter) throws FileNotFoundException, IOException{
		BufferedReader inputStream = null;

		try {
			inputStream = new BufferedReader(new FileReader(inputFilePath));
		} catch (FileNotFoundException e) {
			throw new FileNotFoundException("\nFileNotFoundException: unable to open " + inputFilePath + "\n" + e.getLocalizedMessage()+ "\n"); 
		}
		String nextInputLine = "";
		int lineCount = 0;
		while ((nextInputLine = inputStream.readLine()) != null) {
			String[] stringParts = nextInputLine.split(delimiter);
			// just "|" is a wild-character in reg. ex., cannot do it
			String outputLine = "";
			if (stringParts.length > 0) {
				for(String s: stringParts) {
					outputLine += s.toUpperCase() + "\t";
				}
			}
			//can you spot the small glitch and fix it before the println?
			System.out.println(outputLine);
			
			lineCount++;
		}

		if (inputStream != null) {
			try {
				inputStream.close();
			} catch (IOException e) {
				System.err.println("IOException: Could not close input file stream for file " + inputFilePath);
			}
		}
		System.out.println("Done with " + inputFilePath);
		return lineCount;
	}//end parse
}//end class
