package buffered;

import static org.junit.Assert.*;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.junit.Test;

public class ReporterTest {

	@Test
	public final void testReportToTabbedTextFileHappyDay() throws IOException {
		File testFile = new File("./ReportOfStrings.txt"); 
	  
		//first kill the output file, if it already exists
		if (testFile.delete()) { 
	      System.out.println("Deleted the pre-existing file: " + testFile.getPath());
	    } else {
	      System.out.println("No file there to delete.");
	    } 
		assertFalse(testFile.exists());
		
		//then, produce actual output = create the file
		String reportFilePath = "./ReportOfStrings.txt";
		List<String> sages = new ArrayList<String>(Arrays.asList("Chilon", "Anacharsis", "Cleobulus", "Pittacus", "Bias", "Thales",  "Solon"));
		Reporter reporter = new Reporter();
		reporter.reportToTabbedTextFile(reportFilePath, sages);
		
		//then, check that the file has actually been produced
		assertTrue(testFile.exists());
		assertTrue(testFile.getPath().trim().equals( "." + File.separator +"ReportOfStrings.txt"));
		//System.out.println(testFile.getCanonicalPath() + "\n" + testFile.getPath());
	}

	@Test
	public final void testReportToTabbedTextFileRainyDay() throws IOException {
		File testFile = new File("./ReportOfStrings.txt"); 
	  
		//first kill the output file, if it already exists
		if (testFile.delete()) { 
	      System.out.println("Deleted the pre-existing file: " + testFile.getPath());
	    } else {
	      System.out.println("No file there to delete.");
	    } 
		assertFalse(testFile.exists());
		
		//then, produce actual output = create the file
		String reportFilePath = "./ReportOfStrings.txt";
		Reporter reporter = new Reporter();
		List<String> sages = new ArrayList<String>(); //EMPTY List
		reporter.reportToTabbedTextFile(reportFilePath, sages);
		
		//then, check that the file has actually been produced
		assertFalse(testFile.exists());
	}
	
	
}
