package examples;
/*
 * author: P. Tsaparas
 * edited: PV
 * 
 */
import java.io.FileNotFoundException;
import java.util.Scanner;
import java.io.FileInputStream;
import java.io.PrintWriter;
import java.io.FileOutputStream;
import java.util.StringTokenizer;

public class ReadWriteTest {
	public static void main(String[] args) {
		Scanner inputStream = null;
		PrintWriter outputStream = null;

		Scanner keyboard = new Scanner(System.in);
		System.out.print("Give the input file name: ");
		String inputFileName = keyboard.next();		//also: nextInt, nextDouble, nextLine
		inputFileName = inputFileName.trim();

		System.out.print("Give the output file name: ");
		String outputFileName = keyboard.next();
		outputFileName = outputFileName.trim();

		//Opening files for read and write, checking exception
		try {
			inputStream = new Scanner(new FileInputStream(inputFileName));
			outputStream = new PrintWriter(new FileOutputStream(outputFileName));
			//APPEND would be .... (new FileOutputStream(outputFileName, true));
		} catch (FileNotFoundException e) {
			System.out.println("Problem opening files.");
			System.exit(0);
		}
		//converts tokens to uppercase, adds tabs in between and writes with a line number

		int count = 0;
		while (inputStream.hasNextLine()) {
			String line = inputStream.nextLine();
			String newLine = new String();	
			count++;

			StringTokenizer tokenizer = new StringTokenizer(line);
			while (tokenizer.hasMoreTokens()){
				String s = tokenizer.nextToken();
				s =s.toUpperCase();			//ALWAYS: s = s.doSth, else, the immutable s misses the new value
				s= s.replace("|", "\t");
				newLine = newLine + "\t" + s;
			}
			outputStream.println(count + " " + newLine);
		}

		inputStream.close();
		outputStream.close();
		keyboard.close();	//because eclipse has a warning :)
		System.out.println("Done, writing " + count + " lines.");
	}

}

